Bug 120913 - Function “Navigate By” does not Work Correctly if the Cursor is Inside a Text Frame
Summary: Function “Navigate By” does not Work Correctly if the Cursor is Inside a Text...
Status: RESOLVED INSUFFICIENTDATA
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Writer (show other bugs)
Version:
(earliest affected)
Inherited From OOo
Hardware: All Windows (All)
: medium normal
Assignee: Not Assigned
URL:
Whiteboard:
Keywords:
Depends on:
Blocks: Navigate-By
  Show dependency treegraph
 
Reported: 2018-10-25 14:34 UTC by Harald Koester
Modified: 2022-05-04 03:50 UTC (History)
2 users (show)

See Also:
Crash report or crash signature:
Regression By:


Attachments
Example document with instructions in order to reproduce the bug. (17.86 KB, application/vnd.oasis.opendocument.text)
2018-10-25 14:34 UTC, Harald Koester
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Harald Koester 2018-10-25 14:34:10 UTC
Created attachment 146003 [details]
Example document with instructions in order to reproduce the bug.

In order to reproduce the bug open the attached document and follow the instructions inside the document.

With version 6.0.6 the behaviour is different but also buggy.

The Navigate By function already exists in version 3.3.0. But how to seize this function has been changed during the different versions. This bug already exists in version 3.3.0. Thus inherited from OOo.
Comment 1 Dieter 2018-10-26 09:14:40 UTC
I confirmn this with

Version: 6.2.0.0.alpha1+ (x64)
Build ID: 8274c4c62df5b937b3f0bec9e1eeca85f3b219d4
CPU threads: 4; OS: Windows 10.0; UI render: GL; VCL: win; 
TinderBox: Win-x86_64@42, Branch:master, Time: 2018-10-22_01:47:50
Locale: en-US (de_DE); Calc: CL
Comment 2 Dieter 2018-10-26 09:22:24 UTC
Jim, perhaps you are interestred in this bug, because you've fixed other bugs for Navigate-By funtion

cc: Jim Raykowski
Comment 3 QA Administrators 2019-10-27 03:37:33 UTC Comment hidden (obsolete)
Comment 4 Harald Koester 2019-11-10 09:45:19 UTC
Bug still exists in version 6.3.3. (64 bit, Win10)
Comment 5 Dieter 2021-10-04 20:10:22 UTC
Tested again with

Version: 7.2.1.2 (x64) / LibreOffice Community
Build ID: 87b77fad49947c1441b67c559c339af8f3517e22
CPU threads: 4; OS: Windows 10.0 Build 19043; UI render: Skia/Raster; VCL: win
Locale: de-DE (de_DE); UI: en-GB
Calc: CL

Same behaviour, but I'm not longer sure, that this is a bug (see also bug 120921)

I can see a consistency in search order (same for search field and navigate by field)
a) Regular text area (all pages)
b) Footnotes (all pages)
c) Other elements with text (Header, footer, captions, text in frame, ... (I miss some consistency here.

So described results might be in intendet. But I think, it would be useful to add informations about the search order to https://help.libreoffice.org/7.2/en-GB/text/swriter/guide/finding.html?&DbPAR=WRITER&System=WIN

Harald, what do you think?
=> NEEDINFO
Comment 6 QA Administrators 2022-04-03 03:39:26 UTC Comment hidden (obsolete)
Comment 7 QA Administrators 2022-05-04 03:50:52 UTC
Dear Harald Koester,

Please read this message in its entirety before proceeding.

Your bug report is being closed as INSUFFICIENTDATA due to inactivity and
a lack of information which is needed in order to accurately
reproduce and confirm the problem. We encourage you to retest
your bug against the latest release. If the issue is still
present in the latest stable release, we need the following
information (please ignore any that you've already provided):

a) Provide details of your system including your operating
   system and the latest version of LibreOffice that you have
   confirmed the bug to be present

b) Provide easy to reproduce steps – the simpler the better

c) Provide any test case(s) which will help us confirm the problem

d) Provide screenshots of the problem if you think it might help

e) Read all comments and provide any requested information

Once all of this is done, please set the bug back to UNCONFIRMED
and we will attempt to reproduce the issue. Please do not:

a) respond via email 

b) update the version field in the bug or any of the other details
   on the top section of our bug tracker

Warm Regards,
QA Team

MassPing-NeedInfo-FollowUp